﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightApplication2
{
    public partial class MainPage : UserControl
    {

        private ViewModel viewModel;

        public MainPage()
        {
            InitializeComponent();
            viewModel = LayoutRoot.Resources["vm"] as ViewModel;
            this.DataContext = viewModel;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            viewModel.toggleEnable();
        }


    }

    public class ViewModel : INotifyPropertyChanged
    {

        private bool _IsButtonEnabled;
        public bool IsButtonEnabled
        {
            get { return _IsButtonEnabled; }
            set
            {
                if (_IsButtonEnabled != value)
                {
                    _IsButtonEnabled = value;
                    NotifyPropertyChanged("IsButtonEnabled");
                }
            }
        }

        public ViewModel()
        {
            IsButtonEnabled = false;
        }

        public void toggleEnable()
        {
            if (IsButtonEnabled)
            {
                IsButtonEnabled = false;
            }
            else
            {
                IsButtonEnabled = true;
            }

        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected void NotifyPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }

}